Package org.apache.sysds.runtime.matrix.data

# Enum Class LibMatrixDNN.PoolingType

java.lang.Object
java.lang.Enum<LibMatrixDNN.PoolingType>
org.apache.sysds.runtime.matrix.data.LibMatrixDNN.PoolingType

All Implemented Interfaces:
  `Serializable`, `Comparable<LibMatrixDNN.PoolingType>`, `Constable`

Enclosing class:
  LibMatrixDNN

public static enum LibMatrixDNN.PoolingType extends Enum<LibMatrixDNN.PoolingType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AVG`
`MAX`

## Method Summary

Modifier and Type
Method
Description
`static LibMatrixDNN.PoolingType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LibMatrixDNN.PoolingType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MAX

public static final LibMatrixDNN.PoolingType MAX

### AVG

public static final LibMatrixDNN.PoolingType AVG

## Method Details

### values

public static LibMatrixDNN.PoolingType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static LibMatrixDNN.PoolingType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null